Module java.desktop
Package javax.swing.plaf.basic

## Class BasicComboBoxUI.ItemHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicComboBoxUI.ItemHandler

All Implemented Interfaces:
  `ItemListener`, `EventListener`

Enclosing class:
  BasicComboBoxUI

    public class BasicComboBoxUI.ItemHandler
    extends Object
    implements ItemListener

This listener watches for changes to the selection in the combo box.

This public inner class should be treated as protected. Instantiate it only within subclasses of `BasicComboBoxUI`.

See Also:
  `BasicComboBoxUI.createItemListener()`

### Constructor Summary

Constructors
`ItemHandler()`

### Method Summary

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface java.awt.event.ItemListener

`itemStateChanged`

### Constructor Detail

#### ItemHandler

    public ItemHandler()